org.keycloak.models.map.authorization.adapter

## Class MapPermissionTicketAdapter

- java.lang.Object
- - org.keycloak.models.map.authorization.adapter.AbstractPermissionTicketModel<MapPermissionTicketEntity>
  - - org.keycloak.models.map.authorization.adapter.MapPermissionTicketAdapter

- All Implemented Interfaces:
    PermissionTicket

      public class MapPermissionTicketAdapter
      extends AbstractPermissionTicketModel<MapPermissionTicketEntity>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.authorization.model.PermissionTicket

      `PermissionTicket.FilterOption, PermissionTicket.SearchableFields`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.map.authorization.adapter.AbstractPermissionTicketModel

      `entity, storeFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapPermissionTicketAdapter(MapPermissionTicketEntity entity, StoreFactory storeFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `getCreatedTimestamp()`
    `Long` | `getGrantedTimestamp()`
    `String` | `getId()` Returns the unique identifier for this instance.
    `String` | `getOwner()` Returns the resource's owner, which is usually an identifier that uniquely identifies the resource's owner.
    `Policy` | `getPolicy()`
    `String` | `getRequester()`
    `Resource` | `getResource()` Returns the `Resource` associated with this instance
    `ResourceServer` | `getResourceServer()` Returns the `ResourceServer` where this policy belongs to.
    `Scope` | `getScope()` Returns the `Scope` associated with this instance
    `boolean` | `isGranted()`
    `void` | `setGrantedTimestamp(Long millis)`
    `void` | `setPolicy(Policy policy)`
    `String` | `toString()`

    - ### Methods inherited from class org.keycloak.models.map.authorization.adapter.AbstractPermissionTicketModel

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapPermissionTicketAdapter

          public MapPermissionTicketAdapter(MapPermissionTicketEntity entity,
                                            StoreFactory storeFactory)

  - ### Method Detail

    - #### getId

          public String getId()

      Description copied from interface: `PermissionTicket`
      Returns the unique identifier for this instance.
      Returns:
        the unique identifier for this instance

    - #### getOwner

          public String getOwner()

      Description copied from interface: `PermissionTicket`
      Returns the resource's owner, which is usually an identifier that uniquely identifies the resource's owner.
      Returns:
        the owner of this resource

    - #### getRequester

          public String getRequester()

    - #### getResource

          public Resource getResource()

      Description copied from interface: `PermissionTicket`
      Returns the `Resource` associated with this instance
      Returns:
        the `Resource` associated with this instance

    - #### getScope

          public Scope getScope()

      Description copied from interface: `PermissionTicket`
      Returns the `Scope` associated with this instance
      Returns:
        the `Scope` associated with this instance

    - #### isGranted

          public boolean isGranted()

    - #### getCreatedTimestamp

          public Long getCreatedTimestamp()

    - #### getGrantedTimestamp

          public Long getGrantedTimestamp()

    - #### setGrantedTimestamp

          public void setGrantedTimestamp(Long millis)

    - #### getResourceServer

          public ResourceServer getResourceServer()

      Description copied from interface: `PermissionTicket`
      Returns the `ResourceServer` where this policy belongs to.
      Returns:
        a resource server

    - #### getPolicy

          public Policy getPolicy()

    - #### setPolicy

          public void setPolicy(Policy policy)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.